
/*
 * krnl.dialogs
 * Version 1.0.a
 * Copyright 2020 NSW eHealth & Sanders King.  
 * All Rights Reserved.  
 * Use, reproduction, distribution, and modification of this code is subject to the terms and 
 * conditions of the MIT license, available at http://www.opensource.org/licenses/mit-license.php
 *
 * Author: Sanders King
 */
 .krnl-dialog-lock-page {
	pointer-events: none;
	cursor: not-allowed;
}


.krnl-dialog.krnl-dialog-not-active {
	background-color: lightgrey;
}

.krnl-dialog-veil {
	background-color:grey;
	opacity:0.2;
	top:0;
	left:0;
	right:0;
	bottom:0;
	cursor: not-allowed;
	position: fixed;
	z-index:1001;
}

.krnl-dialog {
  display:none;
  line-height: 1;
  background: grey;
  border-radius: 0.9rem;
  border-style:solid;
  border-width:0.2rem;
  border-color:grey;
  position: fixed;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size:3rem;
  margin:auto;
  padding:0;
  overflow: hidden;
  z-index:1001;
}

.krnl-button {
	font-size:3rem;
	border-radius: 0.9rem;
	min-width:6rem;
	border-color:lightgrey;
	background-color:lightgrey;
}

.krnl-dialog.krnl-dialog-message-box-style {
	background:white;
	min-width:300px;
	/*min-height:100px;*/
}

.krnl-dialog.krnl-dialog-message-box-style .dialog-msg-frame {
	line-height: 4rem;
}

.krnl-dialog-msg-alert:before {
	content: "\f057"; /* fa-times-circle */
	font-size:60px;
	color:#E60011;
}

.krnl-dialog-msg-warning:before {
	content: "\f071"; /* fa-exclamation-triangle */
	font-size:60px;
	color:#ea700d;
}

.krnl-dialog-title {
  font-weight: bold;
  margin:0.5rem;
  padding: 0.5rem;
  color: white;
  display:inline-block;
  width: calc(100% - 6rem);
  pointer-events: auto;
}

.krnl-dialog-message-box-style .krnl-dialog-title {
	color:black;
}

.krnl-dialog.krnl-dialog-not-active .krnl-dialog-close-button  {
	display:none;
}

.krnl-dialog .krnl-dialog-close-button {
	font-size: 3rem;
	float:right;
	padding: 5px;
	margin:5px;
	border-radius: 4px;
	border-style:solid;
	border-width:1px;
	color:darkslategrey;
	pointer-events: auto;
}

.krnl-dialog-content {
  /*font-weight: bold;*/
  margin:0 6px 6px 6px;
  padding: 6px;
  background: white;
  color: black;
  border-radius: 5px;
  overflow:auto;
}

.krnl-dialog-button-frame {
	float:right;
	padding: 0 5px 3px 0;
}

.krnl-dialog.krnl-dialog-flash,
.krnl-dialog.krnl-dialog-message-box-style.krnl-dialog-flash {
	background-color:orange;
}

/*undo the impact of locking of dropdown on dialog open*/
.bs-container.bootstrap-select.krnl-dialog-lock-page, .bs-container.bootstrap-select .krnl-dialog-lock-page{
	pointer-events: inherit;
	cursor: inherit;
 }